Alokai

SapccApiCreateQuoteRequest

Request parameters for createQuote operation in SapccApi. SapccApiCreateQuoteRequest

interface SapccApiCreateQuoteRequest {
	readonly baseSiteId: string;
	readonly fields?: string;
	readonly quoteStarter: QuoteStarter;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiCreateQuote
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiCreateQuote
quoteStarterRequiredQuoteStarter{QuoteStarter} SapccApiCreateQuote
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiCreateQuote

Referenced Types

On this page